package com.backendsys.modules.cms.page.service;

import com.backendsys.modules.cms.page.entity.Page;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface PageService {

    // 获取单页列表
    PageEntity selectPageList(Page page);
    // 获取单页详情
    Map<String, Object> selectPageDetail(Page page);
    // 获取单页详情 (公开)
    Map<String, Object> selectPageDetailPublic(Page page);
    // 获取单页详情 (视图)
    Page selectPage(String lang, String page_sign);
    // 创建单页
    Map<String, Object> insertPage(Page page);
    // 编辑单页
    Map<String, Object> updatePage(Page page);
    // 删除单页
    Map<String, Object> deletePage(Page page);

}
